Available in Classic and VPC
Create a resource according to the user-defined conditions.Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| POST | /api/v1/products/{product-id}/apis/{api-id}/resources |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
product-id |
String | Required | Product ID that the API belongs to
|
api-id |
String | Required | ID of the API whose resource you want to create
|
Request syntax
The request syntax is as follows.
{
"corsMaxAge" : "corsMaxAge",
"corsAllowMethods" : "corsAllowMethods",
"corsAllowOrigin" : "corsAllowOrigin",
"resourcePath" : "resourcePath",
"corsAllowCredentials" : "corsAllowCredentials",
"corsExposeHeaders" : "corsExposeHeaders",
"corsAllowHeaders" : "corsAllowHeaders"
}
Request body
The following describes the request body.
| Field | Type | Required | Description |
|---|---|---|---|
corsMaxAge |
String | Optional | Period in which the client will store preflight request results |
corsAllowMethods |
String | Optional | Method to allow in client requests (resource access)
|
corsAllowOrigin |
String | Optional | Set up domains to allow client requests (resource access)
|
resourcePath |
String | Required | Resource path
|
corsAllowCredentials |
String | Optional | Equivalent to the value of Access-Control-Allow-Credentials in HTTP |
corsExposeHeaders |
String | Optional | Custom headers that can be included in client requests (resource access) |
corsAllowHeaders |
String | Optional | Headers to allow in client requests (resource access) |
Request example
The following is a sample request.
curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/products/***ksk9***/apis/***51hs***/resources' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
"corsAllowMethods" : "DELETE",
"corsAllowOrigin" : "*",
"resourcePath" : "/test01***2233",
"corsAllowHeaders" : "content-type,x-ncp-apigw-api-key,x-ncp-apigw-timestamp,x-ncp-iam-access-key,x-ncp-apigw-signature-v1,x-ncp-apigw-signature-v2"
}'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"resource" : {
"corsMaxAge" : "corsMaxAge",
"resourceId" : "resourceId",
"corsAllowMethods" : "corsAllowMethods",
"methods" : [ {
"methodName" : "ANY",
"methodCode" : "methodCode"
} ],
"corsAllowOrigin" : "corsAllowOrigin",
"resourcePath" : "resourcePath",
"corsAllowCredentials" : "corsAllowCredentials",
"corsExposeHeaders" : "corsExposeHeaders",
"apiId" : "apiId",
"corsAllowHeaders" : "corsAllowHeaders"
}
}
Response status codes
For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.
Response example
The following is a sample response.
{
"resource": {
"apiId": "***51hs***",
"resourceId": "***hoc2***",
"resourcePath": "/test01***2233",
"corsAllowOrigin": "*",
"corsAllowMethods": "DELETE",
"corsAllowHeaders": "content-type,x-ncp-apigw-api-key,x-ncp-apigw-timestamp,x-ncp-iam-access-key,x-ncp-apigw-signature-v1,x-ncp-apigw-signature-v2"
}
}